<template>
  <div>
 
    <!-- Equipment Identification Information -->

    <b-card class="my-3">
      <div class="pt-3 titles-container">
        <p class="form-title text-center font-weight-bold">
          Identificação do equipamento
        </p>
      </div>
      <div class="equipment_name">
        <div class="font-weight-heavy">Nome do Equipamento:</div>
        <div class="font-weight-light">{{ result.equipment_name }}</div>
      </div>
      
      <br>

      <div class="equipment_english_name">
        <div class="font-weight-heavy">Nome do Equipamento (em inglês):</div>
        <div class="font-weight-light">{{ result.equipment_english_name }}</div>
      </div>
      
      <br>

      <div class="equipment_presentation">
        <div class="font-weight-heavy">Apresentação do Equipamento:</div>
        <div class="font-weight-light">{{ result.equipment_presentation }}</div>
      </div>
      
      <br>

      <div class="equipment_brand">
        <div class="font-weight-heavy">Marca:</div>
        <div class="font-weight-light">{{ result.equipment_brand }}</div>
      </div>
   
      <br>

      <div class="equipment_model">
        <div class="font-weight-heavy">Modelo:</div>
        <div class="font-weight-light">{{ result.equipment_model }}</div>
      </div>
      
      <br>

      <div class="equipment_patrimony_number">
        <div class="font-weight-heavy">Número de Patrimônio:</div>
        <div class="font-weight-light">{{ result.equipment_patrimony_number }}</div>
      </div>

      <br>

      <div class="equipment_acquisition_year">
        <div class="font-weight-heavy">Ano de Aquisição:</div>
        <div class="font-weight-light">{{ result.equipment_acquisition_year }}</div>
      </div>
    </b-card>
    <b-card class="my-3">
      <div class="pt-3 titles-container">
        <p class="form-title text-center font-weight-bold">
          Pesquisador Responsável
        </p>
      </div>

      <div class="researcher_unit">
        <div class="font-weight-heavy">Unidade do Pesquisador Responsável:</div>
        <div class="font-weight-light">{{ result.researcher_unit }}</div>
      </div>
      
      <br>

      <div class="researcher_usp_number">
        <div class="font-weight-heavy">Número USP do Pesquisador Responsável:</div>
        <div class="font-weight-light">{{ result.researcher_USP_number }}</div>
      </div>

      <br>

      <div class="researcher_name">
        <div class="font-weight-heavy">Nome do Pesquisador Responsável:</div>
        <div class="font-weight-light">{{ result.researcher_name }}</div>
      </div>

      <br>

      <div class="researcher_email">
        <div class="font-weight-heavy">Email do Pesquisador Responsável:</div>
        <div class="font-weight-light">{{ result.researcher_email }}</div>
      </div>
    </b-card>
    <b-card class="my-3"> 
      <div class="pt-3 titles-container">
        <p class="form-title text-center font-weight-bold">
          Administrador do Equipamento
        </p>
        
      </div>
      <div class="administrator_unit">
        <div class="font-weight-heavy">Unidade do Administrador:</div>
        <div class="font-weight-light">{{ result.administrator_unit }}</div>
      </div>
      
      <br>

      <div class="administrator_usp_number">
        <div class="font-weight-heavy">Número USP do Administrador:</div>
        <div class="font-weight-light">{{ result.administrator_USP_number }}</div>
      </div>

      <br>

      <div class="administrator_name">
        <div class="font-weight-heavy">Nome do Administrador:</div>
        <div class="font-weight-light">{{ result.administrator_name }}</div>
      </div>

      <br>

      <div class="administrator_email">
        <div class="font-weight-heavy">Email do Administrador:</div>
        <div class="font-weight-light">{{ result.administrator_email }}</div>
      </div>
    </b-card>
    <b-card class="my-3">
      <div class="pt-3 titles-container">
        <p class="form-title text-center font-weight-bold">
          Localização do Equipamento
        </p>
        
      </div>
      <div class="equipment_unit">
        <div class="font-weight-heavy">Unidade:</div>
        <div class="font-weight-light">{{ unit }}</div>
      </div>

      <br>

      <div class="equipment_department">
        <div class="font-weight-heavy">Departamento:</div>
        <div class="font-weight-light">{{ department }}</div>
      </div>

      <br>
      
      <div class="equipment_address">
        <div class="font-weight-heavy">Endereço:</div>
        <div class="font-weight-light">{{ result.equipment_address }}</div>
      </div>
    </b-card>
    <b-card class="my-3">
      <div class="pt-3 titles-container">
        <p class="form-title text-center font-weight-bold">
          Informações Gerais
        </p>
      </div>
      <div class="equipment_description">
        <div class="font-weight-heavy">Descrição do Equipamento:</div>
        <div class="font-weight-light">{{ result.equipment_description }}</div>
      </div>
      
      <br>

      <div class="equipment_english_description">
        <div class="font-weight-heavy">Descrição do Equipamento em Inglês:</div>
        <div class="font-weight-light">{{ result.equipment_english_description }}</div>
      </div>
      
      <br>

      <div class="equipment_offered_services">
        <div class="font-weight-heavy">Serviços oferecidos:</div>
        <div class="font-weight-light">{{ result.equipment_offered_services }}</div>
      </div>
      
      <br>

      <div class="equipment_applications">
        <div class="font-weight-heavy">Aplicações do equipamento:</div>
        <div class="font-weight-light">{{ result.equipment_applications }}</div>
      </div>
      
      <br>

      <div class="equipment_rules">
        <div class="font-weight-heavy">Regras de uso:</div>
        <div class="font-weight-light">{{ result.equipment_rules }}</div>
      </div>
    </b-card>
    <b-card class="my-3">
      <div class="pt-3 titles-container">
        <p class="form-title text-center font-weight-bold">
          Horário de Uso
        </p>
      </div>
      <div class="monday_attendance_time">
        <div class="font-weight-heavy">Segunda-Feira:</div>
        <div class="font-weight-light">{{ result.monday_attendance_time }}</div>
      </div>
      
      <br>

      <div class="tuesday_attendance_time">
        <div class="font-weight-heavy">Terça-Feira:</div>
        <div class="font-weight-light">{{ result.tuesday_attendance_time }}</div>
      </div>

      <br>

      <div class="wednesday_attendance_time">
        <div class="font-weight-heavy">Quarta-Feira:</div>
        <div class="font-weight-light">{{ result.wednesday_attendance_time }}</div>
      </div>
      
      <br>

      <div class="thursday_attendance_time">
        <div class="font-weight-heavy">Quinta-Feira:</div>
        <div class="font-weight-light">{{ result.thursday_attendance_time }}</div>
      </div>
      
      <br>

      <div class="friday_attendance_time">
        <div class="font-weight-heavy">Sexta-Feira:</div>
        <div class="font-weight-light">{{ result.friday_attendance_time }}</div>
      </div>
      
      <br>

      <div class="saturday_attendance_time">
        <div class="font-weight-heavy">Sábado:</div>
        <div class="font-weight-light">{{ result.saturday_attendance_time }}</div>
      </div>
      
      <br>

      <div class="sunday_attendance_time">
        <div class="font-weight-heavy">Domingo:</div>
        <div class="font-weight-light">{{ result.sunday_attendance_time }}</div>
      </div>
    </b-card>
    <b-row>
      <b-col sm="12" md="4" offset-md="8">
        <b-button class="btn-block" type="submit">Reservar</b-button>
      </b-col>
    </b-row>     
  </div>
</template>

<script>
export default {
  data() {
    return {
      result: {},
      department: "",
      unit: ""
    };
  },
  beforeCreate: async function() {
    try {
      const response = await this.$axios.$get(
        "equipment/" + this.$route.params.id
      );
      this.result = response;
      const department_response = await this.$axios.$get(
        "department/" + response.department_id
      );
      this.department = department_response.department_name;
      const unit_response = await this.$axios.$get(
        "unit/" + department_response.unit_id
      );
      this.unit = unit_response.name;
    } catch (e) {
      console.log(e);
    }
  }
};
</script>


<style>
.btn-block {
  margin-top: 1em;
  margin-bottom: 1em;
  background-color: #fcb421;
}

.btn-block:hover {
  background-color: #ecbb5b;
}

.form-title {
  font-size: 20px;
}

.form-subtitle {
  font-size: 15px;
}

.section-title {
  font-size: 30px;
}

.section-separator {
  border: 1px solid;
}
</style>
